Subject: Re: bug#45413: Password exposure on SSH login

From: João Távora <[email-masked]>
Date: Fri, 25 Dec 2020 21:59:58 +0000

I'm not 100% sure I follow, but just to underline what I said before: if
the system behaves as expected with -Q but not with
lowercase -q then that clearly points to the system-wide shared
site-start.el file, not the user's init file.

That's because '-q' inhibits the latter, but not the former.

João

On Fri, Dec 25, 2020, 21:46 Pedro J. V. Mendes <[email-masked]>
wrote:

> In my system, only with―from man emacs―“
>              -Q, --quick
>                       Similar  to  "-q --no-site-file --no-splash".  Also,
> avoid processing X re‐
>                       sources.
> ” is the prompt transferred to the minibuffer.
>
> I'll check and tweak the startup configuration.
>
> Thanks!
> On 25/12/20 21:29, João Távora wrote:
>
> When I studied at that university, shared machines were a thing. I didn't
> know if they are still, but I'd also try with:
>
> emacs -q # that's lowercase q
>
> If the problem still happens, it's likely in the site-start.el , and not
> in .emacs
>
>
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Init-File.html#Init-File
>
> João
>
> On Fri, Dec 25, 2020, 20:46 Daniel Martín via Bug reports for GNU Emacs,
> the Swiss army knife of text editors <[email-masked]> wrote:
>
>> "Pedro J. V. Mendes" via "Bug reports for GNU Emacs, the Swiss army
>> knife of text editors" <[email-masked]> writes:
>>
>> > OK, (only) after starting with emacs -Q does the password prompt (and
>> > the focus) appear at the mini-buffer.
>> >
>>
>> Yes, that is expected.  The minibuffer prompt should hide your password
>> with asterisks as you type it.
>>
>> I think this may not be a bug in Emacs, but a problem somewhere in your
>> Emacs configuration.  Comment out parts of your .emacs until you find
>> the culprit.
>>
>>
>>
>>